import React, { useState, useEffect } from 'react';
import { ButtonStyle } from './styles';
import { YTable } from '../table';
import { useModal } from '../modal/useModal';
import { Table, Button as YButton, Modal } from "antd"
export const Button: React.FC = () => {
  const { show, hide } = useModal();
  const [v1, setV1] = useState(false);
  const columns = [
    {
      title: "账号",
      dataIndex: "a1",
      key: "a1",
    },
    {
      title: "密码",
      dataIndex: "a2",
      key: "a2",
      render: () => (
        <YButton onClick={() => {
          setV1(true)
        }}>查看1</YButton>
      )
    },
  ];
  const okV1 = () => {
    console.log(111)
  }
  return (
    <ButtonStyle width="50%">
      123
    </ButtonStyle>
  )
}
